Summary:	Process monitor and restart utility
Summary(pl.UTF-8):	Narzędzie do monitorowania procesów i ich restartowania
Name:		monit
Version:	5.9
Release:	2
License:	AGPL v3
Group:		Daemons
Source0:	http://mmonit.com/monit/dist/%{name}-%{version}.tar.gz
# Source0-md5:	808473ebbacda0c5085d7399e507bfda
Source1:	%{name}.init
Source2:	%{name}rc
Source3:	%{name}.config
Patch0:		config.patch
URL:		http://mmonit.com/monit/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
monit is an utility for monitoring daemons or similar programs running
on a Unix system. It will start specified programs if they are not
running and restart programs not responding.

%description -l pl.UTF-8
monit jest narzędziem do monitorowania demonów oraz podobnych
programów pracujących w systemie Unix. monit zrestartuje podany
program w momencie gdy przestaje on pracować lub w momencie gdy
program przestaje odpowiadać.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--bindir=%{_sbindir} \
	--with-ssl-lib-dir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,monit,sysconfig}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/monit

cp -p monitrc $RPM_BUILD_ROOT%{_sysconfdir}/monitrc
# NOTE: 'include *.monitrc' will fail if nothing matches the glob.
# so install dummy config not to remove it with upgrades (avoid .rpmsave)
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/monit/default.monitrc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service monit restart "Monit Daemon"

%preun
if [ "$1" = "0" ]; then
	%service monit stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS README*
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/monitrc
%dir %attr(751,root,root) %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/default.monitrc
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/monit
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/monit
%{_mandir}/man1/monit.1*
%changelog
* Sat Mar 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/monit.git;a=log;h=AC-branch

* Wed Oct 29 2014 Elan Ruusamäe <glen@delfi.ee> 749e7ce
- fix initscript status exit code

* Mon Oct 27 2014 Elan Ruusamäe <glen@delfi.ee> 4b7f41c
- up to 5.9; update license; remove duplicate config

* Mon Oct 27 2014 Elan Ruusamäe <glen@delfi.ee> d2e1d75
- unify initscript

* Fri Dec 23 2011 lisu <lisu@pld-linux.org> bd7b829
- up to 5.3.2

* Thu Oct 27 2011 lisu <lisu@pld-linux.org> c605691
- 5.3.1

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> eacd95a
- updated to 5.3
- no html docs

* Fri Apr 01 2011 lisu <lisu@pld-linux.org> 452576a
- up to 5.2.5

* Tue Feb 22 2011 lisu <lisu@pld-linux.org> fea7f8c
- 5.2.4

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> f2be3c6
- up to 5.2.3

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 84196e9
- release 2

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> e08a4d6
- 5.2.2

* Tue Sep 28 2010 lisu <lisu@pld-linux.org> e50860e
- 5.2.1

* Fri Sep 24 2010 lisu <lisu@pld-linux.org> 0dce410
- 5.2

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> 6cefd88
- fixed Group

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a394e0
- release 2

* Sun Mar 07 2010 Tomasz Pala <gotar@pld-linux.org> 0d22d69
- don't use daemon for stop and reload since start-stop-daemon --start in use (with RC_LOGGING="no")
- use again monit quit instead of killproc, missing busy/ok/fail messages added, --pidfile added

* Wed Feb 24 2010 lisu <lisu@pld-linux.org> 4b03df7
- 5.1.1

* Thu Feb 18 2010 lisu <lisu@pld-linux.org> c04c919
- updated to 5.1

* Tue Sep 08 2009 Mariusz Mazur <mmazur@pld-linux.org> e09b5b4
- rel 2
- add sysconfig/monit support
- fix stopping in init.d (use killproc); didn't work for me

* Tue Jun 02 2009 lisu <lisu@pld-linux.org> 8ce5edb
- 5.0.3

